GET /fileobject/{uuid}/federated_info/
/fileobject/{uuid}/federated_info/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"cluster_uuid": "string",
"file_copy_success": "string",
"flr_state": [
{
"cfg_version": 0,
"cfg_version_in_flight": 0,
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"local_config": {
"vsgs_info": [
{
"dnsvs_uuid": "string",
"ops": "string",
"timestamp": {
"secs": 0,
"usecs": 0
}
}
]
},
"reason": "string",
"site_uuid": "string",
"status": "string"
}
],
"ldr_state": {
"cfg_version": 0,
"cfg_version_in_flight": 0,
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"local_config": {
"vsgs_info": [
{
"dnsvs_uuid": "string",
"ops": "string",
"timestamp": {
"secs": 0,
"usecs": 0
}
}
]
},
"reason": "string",
"site_uuid": "string",
"status": "string"
},
"name": "string",
"obj_ref": "string",
"repl_state": {
"cfg_version": 0,
"cfg_version_in_flight": 0,
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"local_config": {
"vsgs_info": [
{
"dnsvs_uuid": "string",
"ops": "string",
"timestamp": {
"secs": 0,
"usecs": 0
}
}
]
},
"reason": "string",
"site_uuid": "string",
"status": "string"
},
"tenant_ref": "string",
"uuid": "string"
}
The site controller cluster UUID. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Indicates the status of file object related tasks(ex mm_converter, replication in cluster). Enum options - REPLICATED_WITH_SUCCESS. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
FileObject follower site config states. Field introduced in 30.2.1, 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
ldr_state
FileObject name. Field introduced in 30.2.1, 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
File object uuid. It is a reference to an object of type FileObject. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
repl_state
Uuid of the tenant. It is a reference to an object of type Tenant. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
UUID of the GslbFileObjectRuntime. Field introduced in 30.2.1, 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/fileobject/{uuid}/federated_info